- Development Integration
- /
- SDK
- /
- Python
- /
Management Module
- /
Resource and Permission Management
- /
- Get Authorized Resource List for Principal
¶ Get a list of resources authorized by a subject
Update time: 2025-07-23 07:34:21
This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.
Get a list of resources authorized by a subject based on the filtering conditions.
¶ Method name
ManagementClient.get_authorized_resources
¶ Request parameters
| Name | Type | Is it required? | Default value | Description | Sample value |
|---|---|---|---|---|---|
| targetType | string | yes | - | Target object type: - USER: User- ROLE: Role- GROUP: Group- DEPARTMENT: Department | USER |
| targetIdentifier | string | yes | - | Target object unique identifier: - If it is a user, it is the user's ID, such as 6343b98b7cfxxx9366e9b7c- If it is a role, it is the role code, such as admin- If it is a group, it is the group code, such as developer- If it is a department, it is the department ID, such as 6343bafc019xxxx889206c4c | userId1 |
| namespace | string | No | - | The code of the permission group (permission space). Do not pass to obtain the default permission group. | default |
| resourceType | string | No | - | Limit resource types, such as data, API, button, menu | DATA |
| resourceList | string[] | No | - | Limit the query resource list. If specified, only the specified resource list will be returned. The resourceList parameter supports prefix matching, for example: - Authorized a resource as books:123, which can be matched by books:*;- Authorized a resource as books:fictions_123, which can be matched by books:fictions_;Array length limit: 50. | |
| withDenied | boolean | No | - | Whether to obtain denied resources |
¶ Request Response
Type: AuthorizedResourcePaginatedRespDto
| Name | Type | Description |
|---|---|---|
| statusCode | number | Business status code, which can be used to determine whether the operation is successful. 200 means success. |
| message | string | Description |
| apiCode | number | Segmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List (opens new window) |
| requestId | string | Request ID. Returned when the request fails. |
| data | AuthorizedResourcePagingDto | Response data |
Example results:
{
"statusCode": 200,
"message": "Success",
"requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
"data": {
"list": {
"resourceCode": "ecs:1",
"description": "Server",
"condition": {
"param": "AppId",
"operator": "StringEquals",
"value": "1"
},
"resourceType": "API",
"apiIdentifier": "/api/v1/example",
"actions": "[\"ecs:Start\",\"ecs:Stop\"]",
"effect": "ALLOW"
}
}
}
¶ Data Structure
¶ AuthorizedResourcePagingDto
| Name | Type | Required | Description | Sample value |
|---|---|---|---|---|
| totalCount | number | Yes | Total number of records | |
| list | array | Yes | Response data Nested type: AuthorizedResourceDto. |
¶ AuthorizedResourceDto
| Name | Type | Required | Description | Sample value |
|---|---|---|---|---|
| resourceCode | string | Yes | Resource descriptor | ecs:1 |
| description | string | No | Resource description information | Server |
| condition | array | No | Policy Condition Nested type: PolicyCondition. | |
| resourceType | string | yes | Resource type | DATA |
| apiIdentifier | string | yes | API URL | /api/v1/example |
| actions | array | yes | List of authorized actions | ["ecs:Start","ecs:Stop"] |
| effect | string | yes | Allow or deny | ALLOW |
¶ PolicyCondition
| Name | Type | Is it required? | Description | Example value |
|---|---|---|---|---|
| param | string | yes | Condition Param | UserPoolId |
| operator | string | yes | Condition Operator | Bool |
| value | string | yes | Condition Value | 1 |
